package eclipse.kickstart.example;

import java.text.DecimalFormat;

public class SimpleCalculator implements Calculator {

    private static final String USAGE = "java eclipse.kickstart.example.SimpleCalculator val1 val2";

    public int add(int i, int j) {
        int result = 0;

        long op1 = i;
        long op2 = j;
        long longResult = op1 + op2;
        if (longResult > Integer.MAX_VALUE) {
            throw new RuntimeException(
                    "The addition of the values would result in an overflow.");
        } else {
            result = (int) longResult;
        }
        return result;
    }

    public static void main(String[] args) {
        if (args == null || args.length == 0) {
            System.out.println(USAGE);
        } else {
            Calculator calculator = new SimpleCalculator();
            int val1 = Integer.parseInt(args[0]);
            int val2 = Integer.parseInt(args[1]);
            int result = calculator.add(val1, val2);

            String format = System.getProperty("format");
            String strResult = null;
            if (format != null) {
                DecimalFormat formatter = new DecimalFormat(format);
                strResult = formatter.format(result);
            } else {
                strResult = Integer.toString(result);
            }
            System.out.println("Result: " + strResult);
        }
    }
}